ch.qos.logback.access.spi

## Class AccessContext

- java.lang.Object
- - ch.qos.logback.core.ContextBase
  - - ch.qos.logback.access.spi.AccessContext

All Implemented Interfaces:
  Context, AppenderAttachable<IAccessEvent>, FilterAttachable<IAccessEvent>, LifeCycle, PropertyContainer

    public class AccessContext
    extends ContextBase
    implements AppenderAttachable<IAccessEvent>, FilterAttachable<IAccessEvent>

A minimal context implementation used by certain logback-access components, mainly SocketServer.

Author:
  Sébastien Pennec

### Field Summary

### Fields inherited from class ch.qos.logback.core.ContextBase

`scheduledFutures`

### Constructor Summary

Constructors
Constructor and Description
`AccessContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAppender(Appender<IAccessEvent> newAppender)` Add an appender.
`void` `addFilter(Filter<IAccessEvent> newFilter)` Add a filter.
`void` `callAppenders(IAccessEvent event)`
`void` `clearAllFilters()`
`void` `detachAndStopAllAppenders()` Detach and processPriorToRemoval all previously added appenders.
`boolean` `detachAppender(Appender<IAccessEvent> appender)` Detach the appender passed as parameter from the list of appenders.
`boolean` `detachAppender(String name)` Detach the appender with the name passed as parameter from the list of appenders.
`Appender<IAccessEvent>` `getAppender(String name)` Get an appender by name.
`List<Filter<IAccessEvent>>` `getCopyOfAttachedFiltersList()` Get a copy of all the filters contained within this FilterAttachable object.
`FilterReply` `getFilterChainDecision(IAccessEvent event)` Loop through the filters in the chain.
`boolean` `isAttached(Appender<IAccessEvent> appender)` Returns `true` if the specified appender is in list of attached attached, `false` otherwise.
`Iterator<Appender<IAccessEvent>>` `iteratorForAppenders()` Get an iterator for appenders contained in the parent object.

### Methods inherited from class ch.qos.logback.core.ContextBase

`addScheduledFuture, getBirthTime, getConfigurationLock, getCopyOfPropertyMap, getExecutorService, getName, getObject, getProperty, getScheduledExecutorService, getScheduledFutures, getStatusManager, initCollisionMaps, isStarted, putObject, putProperty, register, removeObject, reset, setName, setStatusManager, start, stop, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AccessContext

    public AccessContext()

### Method Detail

#### callAppenders

    public void callAppenders(IAccessEvent event)

#### addAppender

    public void addAppender(Appender<IAccessEvent> newAppender)

Description copied from interface: `AppenderAttachable`
Add an appender.

Specified by:
  `addAppender` in interface `AppenderAttachable<IAccessEvent>`

#### detachAndStopAllAppenders

    public void detachAndStopAllAppenders()

Description copied from interface: `AppenderAttachable`
Detach and processPriorToRemoval all previously added appenders.

Specified by:
  `detachAndStopAllAppenders` in interface `AppenderAttachable<IAccessEvent>`

#### detachAppender

    public boolean detachAppender(Appender<IAccessEvent> appender)

Description copied from interface: `AppenderAttachable`
Detach the appender passed as parameter from the list of appenders.

Specified by:
  `detachAppender` in interface `AppenderAttachable<IAccessEvent>`

#### detachAppender

    public boolean detachAppender(String name)

Description copied from interface: `AppenderAttachable`
Detach the appender with the name passed as parameter from the list of appenders.

Specified by:
  `detachAppender` in interface `AppenderAttachable<IAccessEvent>`

#### getAppender

    public Appender<IAccessEvent> getAppender(String name)

Description copied from interface: `AppenderAttachable`
Get an appender by name.

Specified by:
  `getAppender` in interface `AppenderAttachable<IAccessEvent>`

#### isAttached

    public boolean isAttached(Appender<IAccessEvent> appender)

Description copied from interface: `AppenderAttachable`
Returns `true` if the specified appender is in list of attached attached, `false` otherwise.

Specified by:
  `isAttached` in interface `AppenderAttachable<IAccessEvent>`

#### iteratorForAppenders

    public Iterator<Appender<IAccessEvent>> iteratorForAppenders()

Description copied from interface: `AppenderAttachable`
Get an iterator for appenders contained in the parent object.

Specified by:
  `iteratorForAppenders` in interface `AppenderAttachable<IAccessEvent>`

#### addFilter

    public void addFilter(Filter<IAccessEvent> newFilter)

Description copied from interface: `FilterAttachable`
Add a filter.

Specified by:
  `addFilter` in interface `FilterAttachable<IAccessEvent>`

#### clearAllFilters

    public void clearAllFilters()

Specified by:
  `clearAllFilters` in interface `FilterAttachable<IAccessEvent>`

#### getCopyOfAttachedFiltersList

    public List<Filter<IAccessEvent>> getCopyOfAttachedFiltersList()

Description copied from interface: `FilterAttachable`
Get a copy of all the filters contained within this FilterAttachable object.

Specified by:
  `getCopyOfAttachedFiltersList` in interface `FilterAttachable<IAccessEvent>`
Returns:
  all attached filters as a list

#### getFilterChainDecision

    public FilterReply getFilterChainDecision(IAccessEvent event)

Description copied from interface: `FilterAttachable`
Loop through the filters in the chain. As soon as a filter decides on ACCEPT or DENY, then that value is returned. If all of the filters return NEUTRAL, then NEUTRAL is returned.

Specified by:
  `getFilterChainDecision` in interface `FilterAttachable<IAccessEvent>`